Loading...
Searching...
No Matches
Ogre::Particle Class Reference
Core » Effects

Class representing a single particle instance. More...

`#include <OgreParticle.h>`

Inheritance diagram for Ogre::Particle:
[legend]

## Public Types

enum | ParticleType : uint8 { Visual , Emitter }
| Type of particle. More...

## Public Member Functions

| Particle ()
float | getOwnHeight (void) const
| Retrieves the particle's personal width, if hasOwnDimensions is true.
float | getOwnWidth (void) const
| Retrieves the particle's personal width, if hasOwnDimensions is true.
const Radian & | getRotation (void) const
bool | hasOwnDimensions (void) const
void | setDimensions (float width, float height)
| Sets the width and height for this particle.
void | setRotation (const Radian &rad)
| Sets the current rotation.

## Public Attributes

RGBA | mColour
| Current colour.
Vector3 | mDirection
| Direction (and speed).
float | mHeight
| Particle height.
ParticleType | mParticleType
| Determines the type of particle.
Vector3 | mPosition
| World position.
uint8 | mRandomTexcoordOffset
Radian | mRotation
| Current rotation value.
Radian | mRotationSpeed
| Speed of rotation in radians/sec.
uint8 | mTexcoordIndex
| Index into the array of texture coordinates.
float | mTimeToLive
| Time to live, number of seconds left of particles natural life.
float | mTotalTimeToLive
| Total Time to live, number of seconds of particles natural life.
float | mWidth
| Particle width.

## Detailed Description

Class representing a single particle instance.

## Member Enumeration Documentation

## ParticleType

enum Ogre::Particle::ParticleType : uint8

Type of particle.

Enumerator
Visual |
Emitter |

## Constructor & Destructor Documentation

## Particle()

Ogre::Particle::Particle | ( |  | ) |

inline

References mColour, mDirection, mHeight, mParticleType, mPosition, mRandomTexcoordOffset, mRotation, mRotationSpeed, mTexcoordIndex, mTimeToLive, mTotalTimeToLive, mWidth, and Visual.

Referenced by Ogre::ParticleEmitter::_initParticle().

## Member Function Documentation

## setDimensions()

void Ogre::Particle::setDimensions | ( | float | width,
|  | float | height )

inline

Sets the width and height for this particle.

References mHeight, and mWidth.

Referenced by Ogre::ParticleEmitter::_initParticle().

## hasOwnDimensions()

bool Ogre::Particle::hasOwnDimensions | ( | void |  | ) | const

inline

Deprecated
  do not use

## getOwnWidth()

float Ogre::Particle::getOwnWidth | ( | void |  | ) | const

inline

Retrieves the particle's personal width, if hasOwnDimensions is true.

References mWidth.

## getOwnHeight()

float Ogre::Particle::getOwnHeight | ( | void |  | ) | const

inline

Retrieves the particle's personal width, if hasOwnDimensions is true.

References mHeight.

## setRotation()

void Ogre::Particle::setRotation | ( | const Radian & | rad | ) |

inline

Sets the current rotation.

References mRotation.

## getRotation()

const Radian & Ogre::Particle::getRotation | ( | void |  | ) | const

inline

References mRotation.

## Member Data Documentation

## mWidth

float Ogre::Particle::mWidth

Particle width.

Referenced by Particle(), getOwnWidth(), and setDimensions().

## mHeight

float Ogre::Particle::mHeight

Particle height.

Referenced by Particle(), getOwnHeight(), and setDimensions().

## mRotation

Radian Ogre::Particle::mRotation

Current rotation value.

Referenced by Particle(), getRotation(), and setRotation().

## mPosition

Vector3 Ogre::Particle::mPosition

World position.

Referenced by Particle().

## mDirection

Vector3 Ogre::Particle::mDirection

Direction (and speed).

Referenced by Particle().

## mColour

RGBA Ogre::Particle::mColour

Current colour.

Referenced by Particle().

## mTimeToLive

float Ogre::Particle::mTimeToLive

Time to live, number of seconds left of particles natural life.

Referenced by Particle().

## mTotalTimeToLive

float Ogre::Particle::mTotalTimeToLive

Total Time to live, number of seconds of particles natural life.

Referenced by Particle().

## mRotationSpeed

Radian Ogre::Particle::mRotationSpeed

Speed of rotation in radians/sec.

Referenced by Particle().

## mParticleType

ParticleType Ogre::Particle::mParticleType

Determines the type of particle.

Referenced by Particle().

## mTexcoordIndex

uint8 Ogre::Particle::mTexcoordIndex

Index into the array of texture coordinates.

See also
  BillboardSet::setTextureStacksAndSlices()

Referenced by Particle().

## mRandomTexcoordOffset

uint8 Ogre::Particle::mRandomTexcoordOffset

Referenced by Particle().

The documentation for this class was generated from the following file:

- OgreParticle.h